#ifndef __HAREG_H__
#define __HAREG_H__

#define DISABLE_INT IE=0x0;
#define ENABLE_INT IE=0x83;

sbit enter= 0xB2;
sbit up= 0xB3;
sbit down= 0xB4;

sbit tube1 = 0x90;
sbit tube2 = 0x91;
sbit bulb1 = 0x92;
sbit bulb2 = 0x93;
sbit dimm = 0x94;
sbit switch1 = 0x95;
sbit switch2 = 0x96;
sbit switch3 = 0x97;
sbit P3_5 = 0xB5;
sbit P3_6 = 0xB6;
sbit P3_7 = 0xB7;
sbit P2_7 = 0xA7;
sbit mesg = 0x80;

sfr sp =0x81;
sfr p0 =0x80;
sfr p1 =0x90;
sfr p2 =0xA0;
sfr p3 =0xB0;
sfr sbuf=0x99;
sfr scon=0x98;
sfr tmod=0x89;
sfr tl1 =0x8B;
sfr th1 =0x8D;
sfr IE   = 0xA8;
sbit EX0  = 0xA8;

sbit ri   = 0x98;
sbit ti   = 0x99;
sbit tr1  = 0x8E;
sbit tr0  = 0x8C;
sbit tf0  = 0x8D;
sfr th0   = 0x8C;

typedef unsigned char bit_8;

#endif
